package net.minecraft.network.protocol.status;

import net.minecraft.network.PacketListener;
import java.io.IOException;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.network.protocol.Packet;

public class ServerboundStatusRequestPacket implements Packet<ServerStatusPacketListener> {
    @Override
    public void read(final FriendlyByteBuf mg) throws IOException {
    }
    
    @Override
    public void write(final FriendlyByteBuf mg) throws IOException {
    }
    
    @Override
    public void handle(final ServerStatusPacketListener tm) {
        tm.handleStatusRequest(this);
    }
}
